Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1463354 - segfault in ap_proxy_set_scoreboard_lb
segfault in ap_proxy_set_scoreboard_lb
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: httpd (Show other bugs)
6.9
Unspecified Unspecified
urgent Severity high
: rc
: ---
Assigned To: Luboš Uhliarik
Branislav Náter
: Patch, ZStream
Depends On: 1456324
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 11:34 EDT by Jaroslav Reznik
Modified: 2017-07-13 00:17 EDT (History)
11 users (show)

See Also:
Fixed In Version: httpd-2.2.15-60.el6_9.2
Doc Type: Bug Fix
Doc Text:
Previously, httpd was unable to correctly check a boundary of an array, and in rare cases it attempted to access an element of an array that was out of bounds. Consequently, httpd terminated unexpectedly with a segmentation fault at proxy_util.c. With this update, bounds checking has been fixed, and httpd no longer crashes.
Story Points: ---
Clone Of: 1456324
Environment:
Last Closed: 2017-07-11 14:47:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1721 normal SHIPPED_LIVE Moderate: httpd security and bug fix update 2017-07-11 18:45:03 EDT

  None (edit)
Description Jaroslav Reznik 2017-06-20 11:34:13 EDT
This bug has been copied from bug #1456324 and has been proposed
to be backported to 6.9 z-stream (EUS).
Comment 10 errata-xmlrpc 2017-07-11 14:47:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1721

Note You need to log in before you can comment on or make changes to this bug.